## emacs-pass-mode 2.0

=== Makefile ===
CASK        ?= cask
EMACS       ?= emacs
DIST        ?= dist
EMACSFLAGS   = --batch -Q
EMACSBATCH   = $(EMACS) $(EMACSFLAGS)

VERSION     := $(shell EMACS=$(EMACS) $(CASK) version)
PKG_DIR     := $(shell EMACS=$(EMACS) $(CASK) package-directory)
PROJ_ROOT   := $(shell dirname $(realpath $(lastword $(MAKEFILE_LIST))))

EMACS_D      = ~/.emacs.d
USER_ELPA_D  = $(EMACS_D)/elpa

SRCS         = $(filter-out %-pkg.el, $(wildcard *.el))
TESTS        = $(wildcard test/*.el)
TAR          = $(DIST)/pass-$(VERSION).tar


.PHONY: all deps check install uninstall reinstall clean-all clean
all : deps $(TAR)

deps :
	$(CASK) install

check : deps
	$(CASK) exec $(EMACSBATCH)  \
	$(patsubst %,-l % , $(SRCS))\
	$(patsubst %,-l % , $(TESTS))\
	-f ert-run-tests-batch-and-exit

install : $(TAR)
	$(EMACSBATCH) -l package -f package-initialize \
	--eval '(package-install-file "$(PROJ_ROOT)/$(TAR)")'

uninstall :
	rm -rf $(USER_ELPA_D)/pass-*

reinstall : clean uninstall install

clean-all : clean
	rm -rf $(PKG_DIR)

clean :
	rm -f *.elc
	rm -rf $(DIST)
	rm -f *-pkg.el

$(TAR) : $(DIST) $(SRCS)
	$(CASK) package $(DIST)

$(DIST) :
	mkdir $(DIST)

=== debian/changelog ===
emacs-pass-mode (2.0-3) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 19:46:58 +0900

emacs-pass-mode (2.0-2) unstable; urgency=medium

  * Source-only upload

 -- Martin <debacle@debian.org>  Fri, 30 Sep 2022 19:52:03 +0000

emacs-pass-mode (2.0-1) unstable; urgency=medium

  * Initial package (Closes: #1019546)

 -- Martin <debacle@debian.org>  Sun, 11 Sep 2022 21:39:40 +0000

=== debian/control ===
Source: emacs-pass-mode
Section: editors
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Martin <debacle@debian.org>
Build-Depends: debhelper-compat (= 13),
	dh-elpa,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/NicolasPetton/pass
Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-pass-mode.git
Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-pass-mode

Package: elpa-pass
Architecture: all
Depends: ${elpa:Depends},
	${misc:Depends},
Enhances: emacs
Description: major mode for password-store
 Major mode to work with the password-store ("pass").
 View, generate, edit, delete, and rename entries.
